Torque2D Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | List of all members
FastDelegate< R(Param1, Param2, Param3, Param4, Param5) > Class Template Reference

`#include <FastDelegate.h>`

Inheritance diagram for FastDelegate< R(Param1, Param2, Param3, Param4, Param5) >:

## Public Types
typedef FastDelegate5< Param1, Param2, Param3, Param4, Param5, R > | BaseType
typedef FastDelegate | SelfType
Public Types inherited from FastDelegate5< Param1, Param2, Param3, Param4, Param5, R >
typedef FastDelegate5 | type

## Public Member Functions
| FastDelegate ()
template<class X , class Y >
| FastDelegate (Y *pthis, R(X::*function_to_bind)(Param1 p1, Param2 p2, Param3 p3, Param4 p4, Param5 p5))
template<class X , class Y >
| FastDelegate (const Y *pthis, R(X::*function_to_bind)(Param1 p1, Param2 p2, Param3 p3, Param4 p4, Param5 p5) const)
| FastDelegate (R(*function_to_bind)(Param1 p1, Param2 p2, Param3 p3, Param4 p4, Param5 p5))
void | operator= (const BaseType &x)
Public Member Functions inherited from FastDelegate5< Param1, Param2, Param3, Param4, Param5, R >
| FastDelegate5 ()
| FastDelegate5 (const FastDelegate5 &x)
| FastDelegate5 (Y *pthis, DesiredRetType(X::*function_to_bind)(Param1 p1, Param2 p2, Param3 p3, Param4 p4, Param5 p5))
| FastDelegate5 (const Y *pthis, DesiredRetType(X::*function_to_bind)(Param1 p1, Param2 p2, Param3 p3, Param4 p4, Param5 p5) const)
| FastDelegate5 (DesiredRetType(*function_to_bind)(Param1 p1, Param2 p2, Param3 p3, Param4 p4, Param5 p5))
void | operator= (const FastDelegate5 &x)
void | operator= (DesiredRetType(*function_to_bind)(Param1 p1, Param2 p2, Param3 p3, Param4 p4, Param5 p5))
bool | operator== (const FastDelegate5 &x) const
bool | operator== (StaticFunctionPtr funcptr)
bool | operator!= (const FastDelegate5 &x) const
bool | operator!= (StaticFunctionPtr funcptr)
bool | operator< (const FastDelegate5 &x) const
bool | operator> (const FastDelegate5 &x) const
void | bind (Y *pthis, DesiredRetType(X::*function_to_bind)(Param1 p1, Param2 p2, Param3 p3, Param4 p4, Param5 p5))
void | bind (const Y *pthis, DesiredRetType(X::*function_to_bind)(Param1 p1, Param2 p2, Param3 p3, Param4 p4, Param5 p5) const)
void | bind (DesiredRetType(*function_to_bind)(Param1 p1, Param2 p2, Param3 p3, Param4 p4, Param5 p5))
R | operator() (Param1 p1, Param2 p2, Param3 p3, Param4 p4, Param5 p5) const
| operator unspecified_bool_type () const
bool | operator! () const
bool | empty () const
void | clear ()
const DelegateMemento & | GetMemento ()
void | SetMemento (const DelegateMemento &any)

## Member Typedef Documentation

typedef FastDelegate5< Param1, Param2, Param3, Param4, Param5, R > BaseType

typedef FastDelegate SelfType

## Constructor & Destructor Documentation

FastDelegate | ( |  | ) |
| inline

FastDelegate | ( | Y * | pthis,
|  | R(X::*)(Param1 p1, Param2 p2, Param3 p3, Param4 p4, Param5 p5) | function_to_bind
| ) |  |
| inline

FastDelegate | ( | const Y * | pthis,
|  | R(X::*)(Param1 p1, Param2 p2, Param3 p3, Param4 p4, Param5 p5) const | function_to_bind
| ) |  |
| inline

FastDelegate | ( | R(*)(Param1 p1, Param2 p2, Param3 p3, Param4 p4, Param5 p5) | function_to_bind | ) |
| inline

## Member Function Documentation

void operator= | ( | const BaseType & | x | ) |
| inline

The documentation for this class was generated from the following file:

- delegates/FastDelegate.h